Subject: Re: bug#78860: 30.1.90; eshell: wrong-number-of-arguments

From: Christopher Howard <[email-masked]>
Date: Sun, 22 Jun 2025 18:36:51 -0800

I determined that, for some unknown reason the elc file for esh-ext.el was not being recompiled, even after a "make clean". I was able to resolve this issue by running a "make distclean" instead, which deletes the all the elc files under the lisp directory.

I'm mildy curious why that "make clean" does not delete elc files. In most projects I've used, make clean delete all compiled files. But I'm sure there must be some arcane reason for it, probably documented in some installation instructions I didn't bother to read.

-- 
Christopher Howard